package com.qmth.distributed.print.business.enums;

/**
 * @Date: 2021/3/29.
 */
public enum EnumType {

    BACKUP_METHOD("备份方式"),
    CLASSIFY("模板类型"),
    DRAW_RULE("抽卷规则"),
    EXAM_NUMBER_STYLE("考号版式"),
    EXAM_STATUS("命题状态类型"),
    PAPER_TYPE("AB卷版式"),
    PRINT_METHOD("印刷方式"),
    PRIVILEGE_TYPE("菜单类型"),
    REQUIRED_FIELDS("考务必选字段"),
    REVIEW_STATUS("审核状态类型"),
    ROLE_TYPE("内置角色类型"),
    STORAGE_LEVEL("附件存储级别"),
    STORAGE_TYPE("附件存储方式"),
    TEMPLATE_TYPE("模板类型"),
    CARD_REQUIRED_FIELDS("题卡规则必选字段"),
    ORG_CENTER_TYPE_ENUM("机构用户中心类型"),
    MAKE_METHOD("题卡制作方式"),
    PRINT_PLAN_STATUS_ENUM("印刷计划状态类型"),
    EXAM_DETAIL_STATUS_ENUM("考场状态类型"),
    EXAMINATION_DB_FIELDS_ENUM("考务数据导入-数据库所必须字段枚举"),
    CARD_TYPE("题卡类型"),
    SYSTEM_CODE_ENUM("系统编码类型"),
    PUSH_TYPE_ENUM("同步云阅卷类型"),
    TB_TASK_STATUS("同步云阅卷日志表状态类型");

    EnumType(String desc) {
        this.desc = desc;
    }

    private String desc;

    public String getDesc() {
        return desc;
    }
}
